<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'account',

    /*
     * Modules.
     */
    'modules'   => ['costcenter', 'journal', 'journal_detail', 'ledger'],

    'costcenter'       => [
        'model' => [
            'model'                 => \Bixo\Account\Models\Costcenter::class,
            'table'                 => 'costcenters',
            'presenter'             => \Bixo\Account\Repositories\Presenter\CostcenterPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'user_id',  'updated_at',  'created_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'account/costcenter',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Account',
            'module'    => 'Costcenter',
        ],

    ],
    'journal'       => [
        'model' => [
            'model'                 => \Bixo\Account\Models\Journal::class,
            'table'                 => 'journals',
            'presenter'             => \Bixo\Account\Repositories\Presenter\JournalPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'branch_id',  'code',  'date',  'ref',  'narration',  'note',  'docs',  'status',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'account/journal',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Account',
            'module'    => 'Journal',
        ],

    ],
    'journal_detail'       => [
        'model' => [
            'model'                 => \Bixo\Account\Models\JournalDetail::class,
            'table'                 => 'journal_details',
            'presenter'             => \Bixo\Account\Repositories\Presenter\JournalDetailPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'journal_id',  'costcenter_id',  'ledger_id',  'coa_id',  'coa_name',  'debit',  'credit',  'sort_order',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'account/journal_detail',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Account',
            'module'    => 'JournalDetail',
        ],

    ],
    'ledger'       => [
        'model' => [
            'model'                 => \Bixo\Account\Models\Ledger::class,
            'table'                 => 'ledgers',
            'presenter'             => \Bixo\Account\Repositories\Presenter\LedgerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'coa_id',  'ledgerable_id',  'ledgerable_type',  'company_id',  'branch_id',  'date',  'name',  'description',  'debit',  'credit',  'currency',  'currency_rate',  'currency_value',  'user_id',  'updated_at',  'created_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'account/ledger',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Account',
            'module'    => 'Ledger',
        ],

    ],
];
