<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateJournalDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: journal_details
         */
        Schema::create('journal_details', function ($table) {
            $table->increments('id');
            $table->integer('journal_id')->nullable();
            $table->integer('costcenter_id')->nullable();
            $table->integer('ledger_id')->nullable();
            $table->integer('coa_id')->nullable();
            $table->string('coa_name', 100)->nullable();
            $table->decimal('debit', 12,3)->nullable();
            $table->decimal('credit', 12,3)->nullable();
            $table->integer('sort_order')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('journal_details');
    }
}
