<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateJournalsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: journals
         */
        Schema::create('journals', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->string('code', 20)->nullable();
            $table->date('date')->nullable();
            $table->string('ref', 20)->nullable();
            $table->text('narration')->nullable();
            $table->text('note')->nullable();
            $table->text('docs')->nullable();
            $table->enum('status', ['Draft','Completed','Approved','Posted','Cancelled'])->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('journals');
    }
}
