<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLedgersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: ledgers
         */
        Schema::create('ledgers', function ($table) {
            $table->increments('id');
            $table->integer('coa_id')->nullable();
            $table->integer('ledgerable_id')->nullable();
            $table->string('ledgerable_type', 50)->nullable();
            $table->decimal('company_id', 11,0)->nullable();
            $table->string('branch_id', 50)->nullable();
            $table->dateTime('date')->nullable();
            $table->string('name', 50)->nullable();
            $table->string('description', 200)->nullable();
            $table->decimal('debit', 12,3)->nullable();
            $table->decimal('credit', 12,3)->nullable();
            $table->string('currency', 30)->nullable();
            $table->decimal('currency_rate', 5,2)->nullable();
            $table->decimal('currency_value', 12,3)->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('ledgers');
    }
}
