<?php

// web routes  for costcenter
Route::prefix('{guard}/account')->group(function () {
    Route::resource('costcenter', 'CostcenterResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CostcenterResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'CostcenterPublicController@index');
            Route::get('accounts/{slug?}', 'CostcenterPublicController@show');
        }
    );
}

// web routes  for journal
Route::prefix('{guard}/account')->group(function () {
    Route::resource('journal', 'JournalResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'JournalResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'JournalPublicController@index');
            Route::get('accounts/{slug?}', 'JournalPublicController@show');
        }
    );
}

// web routes  for journal_detail
Route::prefix('{guard}/account')->group(function () {
    Route::resource('journal_detail', 'JournalDetailResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'JournalDetailResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'JournalDetailPublicController@index');
            Route::get('accounts/{slug?}', 'JournalDetailPublicController@show');
        }
    );
}

// web routes  for ledger
Route::prefix('{guard}/account')->group(function () {
    Route::resource('ledger', 'LedgerResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'LedgerResourceController');
            });
            // Public routes for pages
            Route::get('accounts/', 'LedgerPublicController@index');
            Route::get('accounts/{slug?}', 'LedgerPublicController@show');
        }
    );
}

