<?php

namespace Bixo\Account;

use User;

class Account
{
    /**
     * $costcenter object.
     */
    protected $costcenter;    /**
     * $journal object.
     */
    protected $journal;    /**
     * $journal_detail object.
     */
    protected $journal_detail;    /**
     * $ledger object.
     */
    protected $ledger;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Account\Interfaces\CostcenterRepositoryInterface $costcenter,        \Bixo\Account\Interfaces\JournalRepositoryInterface $journal,        \Bixo\Account\Interfaces\JournalDetailRepositoryInterface $journal_detail,        \Bixo\Account\Interfaces\LedgerRepositoryInterface $ledger)
    {
        $this->costcenter = $costcenter;        $this->journal = $journal;        $this->journal_detail = $journal_detail;        $this->ledger = $ledger;
    }

    /**
     * Returns count of account.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.costcenter.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->costcenter->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\CostcenterUserCriteria());
        }

        $costcenter = $this->costcenter->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('account::' . $view, compact('costcenter'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.journal.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->journal->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\JournalUserCriteria());
        }

        $journal = $this->journal->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('account::' . $view, compact('journal'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.journal_detail.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->journal_detail->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\JournalDetailUserCriteria());
        }

        $journal_detail = $this->journal_detail->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('account::' . $view, compact('journal_detail'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.ledger.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->ledger->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\LedgerUserCriteria());
        }

        $ledger = $this->ledger->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('account::' . $view, compact('ledger'))->render();
    }
}
