<?php

namespace Bixo\Account\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Costcenter policy
        'Bixo\Account\Models\Costcenter' => \Bixo\Account\Policies\CostcenterPolicy::class,// Bind Journal policy
        'Bixo\Account\Models\Journal' => \Bixo\Account\Policies\JournalPolicy::class,// Bind JournalDetail policy
        'Bixo\Account\Models\JournalDetail' => \Bixo\Account\Policies\JournalDetailPolicy::class,// Bind Ledger policy
        'Bixo\Account\Models\Ledger' => \Bixo\Account\Policies\LedgerPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
