<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CostcenterTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Costcenter $costcenter)
    {
        return [
            'id'                => $costcenter->getRouteKey(),
            'key'               => [
                'public'    => $costcenter->getPublicKey(),
                'route'     => $costcenter->getRouteKey(),
            ], 
            'name'              => $costcenter->name,
            'description'       => $costcenter->description,
            'user_id'           => $costcenter->user_id,
            'deleted_at'        => $costcenter->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$costcenter->getPublicKey()),
                'user'      => guard_url('account/costcenter/'.$costcenter->getRouteKey()),
            ], 
            'status'            => trans('app.'.$costcenter->status),
            'created_at'        => format_date($costcenter->created_at),
            'updated_at'        => format_date($costcenter->updated_at),
        ];
    }
}