<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JournalDetailTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\JournalDetail $journal_detail)
    {
        return [
            'id'                => $journal_detail->getRouteKey(),
            'key'               => [
                'public'    => $journal_detail->getPublicKey(),
                'route'     => $journal_detail->getRouteKey(),
            ], 
            'journal_id'        => $journal_detail->journal_id,
            'costcenter_id'     => $journal_detail->costcenter_id,
            'ledger_id'         => $journal_detail->ledger_id,
            'coa_id'            => $journal_detail->coa_id,
            'coa_name'          => $journal_detail->coa_name,
            'debit'             => $journal_detail->debit,
            'credit'            => $journal_detail->credit,
            'sort_order'        => $journal_detail->sort_order,
            'url'               => [
                'public'    => trans_url('account/'.$journal_detail->getPublicKey()),
                'user'      => guard_url('account/journal_detail/'.$journal_detail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$journal_detail->status),
            'created_at'        => format_date($journal_detail->created_at),
            'updated_at'        => format_date($journal_detail->updated_at),
        ];
    }
}