<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JournalTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Journal $journal)
    {
        return [
            'id'                => $journal->getRouteKey(),
            'key'               => [
                'public'    => $journal->getPublicKey(),
                'route'     => $journal->getRouteKey(),
            ], 
            'company_id'        => $journal->company_id,
            'branch_id'         => $journal->branch_id,
            'code'              => $journal->code,
            'date'              => $journal->date,
            'ref'               => $journal->ref,
            'narration'         => $journal->narration,
            'note'              => $journal->note,
            'docs'              => $journal->docs,
            'user_id'           => $journal->user_id,
            'deleted_at'        => $journal->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$journal->getPublicKey()),
                'user'      => guard_url('account/journal/'.$journal->getRouteKey()),
            ], 
            'status'            => trans('app.'.$journal->status),
            'created_at'        => format_date($journal->created_at),
            'updated_at'        => format_date($journal->updated_at),
        ];
    }
}