<?php

namespace Bixo\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LedgerTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Account\Models\Ledger $ledger)
    {
        return [
            'id'                => $ledger->getRouteKey(),
            'key'               => [
                'public'    => $ledger->getPublicKey(),
                'route'     => $ledger->getRouteKey(),
            ], 
            'coa_id'            => $ledger->coa_id,
            'ledgerable_id'     => $ledger->ledgerable_id,
            'ledgerable_type'   => $ledger->ledgerable_type,
            'company_id'        => $ledger->company_id,
            'branch_id'         => $ledger->branch_id,
            'date'              => $ledger->date,
            'name'              => $ledger->name,
            'description'       => $ledger->description,
            'debit'             => $ledger->debit,
            'credit'            => $ledger->credit,
            'currency'          => $ledger->currency,
            'currency_rate'     => $ledger->currency_rate,
            'currency_value'    => $ledger->currency_value,
            'user_id'           => $ledger->user_id,
            'deleted_at'        => $ledger->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$ledger->getPublicKey()),
                'user'      => guard_url('account/ledger/'.$ledger->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ledger->status),
            'created_at'        => format_date($ledger->created_at),
            'updated_at'        => format_date($ledger->updated_at),
        ];
    }
}